### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Class AuthorizationExplainedInfo

java.lang.Object
com.sas.services.information.metadata.AuthorizationExplainedInfo

All Implemented Interfaces:
  `AuthorizationExplainedInfoInterface`, `Serializable`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public class AuthorizationExplainedInfo extends Object implements AuthorizationExplainedInfoInterface, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthorizationExplainedInfo()`
  `AuthorizationExplainedInfo(AuthorizationIdentityInfoInterface authIdentityInfo, List<PermissionExplainedInfoInterface> permissionExplInfoList)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuthorizationIdentityInfoInterface`
  `getIdentityInfo()`
  Returns the identity object reference
  `List<PermissionExplainedInfoInterface>`
  `getPermissionExplainedInfoList()`
  Returns the List of PermissionExplainedInfoInterface instances for this AuthorizationExplainedInfo
  `void`
  `setIdentityInfo(AuthorizationIdentityInfoInterface authIdentityInfo)`
  `void`
  `setPermissionInfoList(List<PermissionExplainedInfoInterface> permissionExplInfoList)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AuthorizationExplainedInfo

    public AuthorizationExplainedInfo()

  - ### AuthorizationExplainedInfo

    public AuthorizationExplainedInfo(AuthorizationIdentityInfoInterface authIdentityInfo, List<PermissionExplainedInfoInterface> permissionExplInfoList)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getIdentityInfo

    public AuthorizationIdentityInfoInterface getIdentityInfo()
    Description copied from interface: `AuthorizationExplainedInfoInterface`
    Returns the identity object reference
    Specified by:
      `getIdentityInfo` in interface `AuthorizationExplainedInfoInterface`
    Returns:
      identity

  - ### setIdentityInfo

    public void setIdentityInfo(AuthorizationIdentityInfoInterface authIdentityInfo)

  - ### getPermissionExplainedInfoList

    public List<PermissionExplainedInfoInterface> getPermissionExplainedInfoList()
    Description copied from interface: `AuthorizationExplainedInfoInterface`
    Returns the List of PermissionExplainedInfoInterface instances for this AuthorizationExplainedInfo
    Specified by:
      `getPermissionExplainedInfoList` in interface `AuthorizationExplainedInfoInterface`
    Returns:
      List

  - ### setPermissionInfoList

    public void setPermissionInfoList(List<PermissionExplainedInfoInterface> permissionExplInfoList)